package com.njcn.service.configuration;

import com.njcn.pojo.configuration.ConstantValue;

import java.util.List;

/**
 * @Author denghuajun
 * @Description //TODO 定值管理service
 * @Date 2018/10/15 21:36
 **/
public interface ConstantValueService {
    public List<ConstantValue> quarryOutValueBase(long lineIndex);

    public List<ConstantValue> quarryInValueBase(long devIndex);

    int quarryOutCount(String devtype,long lineIndex);

    int updateOut(int cpuNo, String type, int sort, Float value);

    int updateIn(int  cpuNo, String type, int sort, int value);

    ConstantValue getConvId(int  cpuNo, String type, int sort);
}
